package com.itsoulos.textviewbutton;

import androidx.appcompat.app.AppCompatActivity;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.graphics.Color;
import android.graphics.PorterDuff;
import android.os.Bundle;
import android.view.Gravity;
import android.view.MotionEvent;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    LinearLayout mainLayout=null;
    TextView b=null;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        mainLayout=new LinearLayout(this);
        setContentView(mainLayout);
        b=new TextView(this);
        b.setText("PRESS HERE");
        b.setTextColor(Color.WHITE);
        b.setBackgroundColor(Color.BLACK);
        b.setClickable(true);
        b.setOnTouchListener(new View.OnTouchListener() {
            @Override
            public boolean onTouch(View v, MotionEvent event) {
                switch (event.getAction()) {
                    case MotionEvent.ACTION_DOWN: {

                        ((TextView)v).setTextColor(Color.BLACK);
                        ((TextView)v).setBackgroundColor(Color.WHITE);
                        break;
                    }
                    case MotionEvent.ACTION_UP:

                    case MotionEvent.ACTION_CANCEL: {
                        ((TextView)v).setTextColor(Color.WHITE);
                        ((TextView)v).setBackgroundColor(Color.BLACK);
                        break;
                    }
                }

                return false;
            }
        });
        mainLayout.addView(b);
        b.setGravity(Gravity.CENTER_HORIZONTAL);
        LinearLayout.LayoutParams bparams=(LinearLayout.LayoutParams)b.getLayoutParams();
        bparams.width=200;
        bparams.height=50;
        b.setLayoutParams(bparams);
        b.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                AlertDialog.Builder alertDialogBuilder = new AlertDialog.Builder(MainActivity.this);

                alertDialogBuilder.setTitle(getString(R.string.app_name));

                alertDialogBuilder
                        .setMessage("Pressed")
                        .setCancelable(false)
                        .setPositiveButton("OK",new DialogInterface.OnClickListener() {
                            public void onClick(DialogInterface dialog,int id) {
                                dialog.cancel();
                            }
                        });
                AlertDialog alertDialog = alertDialogBuilder.create();
                alertDialog.show();
            }
        });
    }
}
